var search_data = {"index":{"searchIndex":["cmf","builder","dictionary","malformedmessageerror","parser","type","varint","add()","add_bool()","add_bytes()","add_double()","add_float()","add_int()","add_string()","build()","build()","build_hex()","deserialize()","each()","message=()","message_hex=()","new()","new()","next_pair()","parse()","parse()","parse_hex()","parse_hex()","reset()","serialize()","to_hex()","to_octet()","validate()","write_tag()"],"longSearchIndex":["cmf","cmf::builder","cmf::dictionary","cmf::malformedmessageerror","cmf::parser","cmf::type","cmf::varint","cmf::builder#add()","cmf::builder#add_bool()","cmf::builder#add_bytes()","cmf::builder#add_double()","cmf::builder#add_float()","cmf::builder#add_int()","cmf::builder#add_string()","cmf::build()","cmf::builder#build()","cmf::build_hex()","cmf::varint::deserialize()","cmf::parser#each()","cmf::parser#message=()","cmf::parser#message_hex=()","cmf::builder::new()","cmf::parser::new()","cmf::parser#next_pair()","cmf::parse()","cmf::parser#parse()","cmf::parse_hex()","cmf::parser#parse_hex()","cmf::builder#reset()","cmf::varint::serialize()","cmf::builder#to_hex()","cmf::builder#to_octet()","cmf::dictionary::validate()","cmf::builder#write_tag()"],"info":[["CMF","","CMF.html","","<p>The top-level module for the cmf gem.\n"],["CMF::Builder","","CMF/Builder.html","","<p>Instances of the `Builder` class can create CMF messages.\n<p>Basic usage:\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">b</span> = <span class=\"ruby-constant\">CMF</span><span class=\"ruby-operator\">::</span><span class=\"ruby-constant\">Builder</span>.<span class=\"ruby-identifier\">new</span>\n<span class=\"ruby-identifier\">b</span>.<span class=\"ruby-identifier\">add</span>(<span class=\"ruby-value\">0</span>, <span class=\"ruby-string\">&quot;value0&quot;</span>) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["CMF::Dictionary","","CMF/Dictionary.html","","<p>Provides functionality for validating the `dictionary` argument passed to {Builder} and {Parser}.\n"],["CMF::MalformedMessageError","","CMF/MalformedMessageError.html","","<p>Raised whenever the {Parser} encounters a malformed CMF message.\n"],["CMF::Parser","","CMF/Parser.html","","<p>Instances of the `Parser` class can parse CMF messages.\n<p>Basic usage:\n\n<pre class=\"ruby\"><span class=\"ruby-identifier\">p</span> = <span class=\"ruby-constant\">CMF</span><span class=\"ruby-operator\">::</span><span class=\"ruby-constant\">Parser</span>.<span class=\"ruby-identifier\">new</span>\n<span class=\"ruby-identifier\">p</span>.<span class=\"ruby-identifier\">parse</span>(<span class=\"ruby-string\">&quot;\\x04\\r&quot;</span>) <span class=\"ruby-operator\">...</span>\n</pre>\n"],["CMF::Type","","CMF/Type.html","","<p>Defines the enum value for all types that can be stored in a CMF message.\n"],["CMF::Varint","","CMF/Varint.html","","<p>Provides functionaly for serializing and deserializing variable-width encoded integers (varint).\n"],["add","CMF::Builder","CMF/Builder.html#method-i-add","(tag, value)","<p>Adds a (tag, value) pair to the CMF message.\n<p>@param tag [Integer,Object] Must be an integer or a key in …\n"],["add_bool","CMF::Builder","CMF/Builder.html#method-i-add_bool","(tag, value)","<p>Adds a (tag, boolean value) pair to the CMF message.\n<p>@param tag [Integer,Object] Must be an integer or …\n"],["add_bytes","CMF::Builder","CMF/Builder.html#method-i-add_bytes","(tag, value)","<p>Adds a (tag, byte_array value) pair to the CMF message.\n<p>@param tag [Integer,Object] Must be an integer …\n"],["add_double","CMF::Builder","CMF/Builder.html#method-i-add_double","(tag, value)","<p>Adds a (tag, float value) pair to the CMF message.\n<p>@param tag [Integer,Object] Must be an integer or a …\n"],["add_float","CMF::Builder","CMF/Builder.html#method-i-add_float","(tag, value)",""],["add_int","CMF::Builder","CMF/Builder.html#method-i-add_int","(tag, value)","<p>Adds a (tag, integer value) pair to the CMF message.\n<p>@param tag [Integer,Object] Must be an integer or …\n"],["add_string","CMF::Builder","CMF/Builder.html#method-i-add_string","(tag, value)","<p>Adds a (tag, string value) pair to the CMF message.\n<p>@param tag [Integer,Object] Must be an integer or …\n"],["build","CMF","CMF.html#method-c-build","(obj, dictionary = nil)","<p>Builds a CMF message from an object.\n<p>@param obj [Hash,#each] The object to be built into a CMF message. …\n"],["build","CMF::Builder","CMF/Builder.html#method-i-build","(obj)","<p>Adds multiple (tag, value) pairs to the CMF message.\n<p>@param obj [Hash,#each] The object containing (tag, …\n"],["build_hex","CMF","CMF.html#method-c-build_hex","(obj, dictionary = nil)","<p>Builds hex-encoded a CMF message from an object.\n<p>@see #CMF.build @return [String] A hex string, every …\n"],["deserialize","CMF::Varint","CMF/Varint.html#method-c-deserialize","(io)","<p>Deserializes a varint into a integer.\n<p>@param io [StringIO] The IO stream that will be read from to deserialize. …\n"],["each","CMF::Parser","CMF/Parser.html#method-i-each","()","<p>Calls the given block once for each pair found in the message.\n<p>@yieldparam [Integer,Object] tag The pair&#39;s …\n"],["message=","CMF::Parser","CMF/Parser.html#method-i-message-3D","(message)","<p>Sets a new CMF message.\n<p>@param message [String] The CMF message in octet form.\n"],["message_hex=","CMF::Parser","CMF/Parser.html#method-i-message_hex-3D","(message_hex)","<p>Sets a new CMF message from a hex string.\n<p>@param message_hex [String] The hex-encoded CMF message.\n"],["new","CMF::Builder","CMF/Builder.html#method-c-new","(dictionary = nil)","<p>Creates a new instance of {Builder}.\n<p>@param dictionary [Hash,Array] Optional. The dictionary mapping tag …\n"],["new","CMF::Parser","CMF/Parser.html#method-c-new","(dictionary = nil)","<p>Creates a new instance of {Parser}.\n<p>@param dictionary [Hash,Array] Optional. The dictionary mapping tag …\n"],["next_pair","CMF::Parser","CMF/Parser.html#method-i-next_pair","()","<p>Returns the next pair in the message, or nil if the whole message has been parsed.\n<p>@return [Array,nil] …\n"],["parse","CMF","CMF.html#method-c-parse","(message, dictionary = nil)","<p>Parses a CMF message into an object.\n<p>@param message [String] A CMF message. @return [Hash] See {Parser.parse}. …\n"],["parse","CMF::Parser","CMF/Parser.html#method-i-parse","(message = nil)","<p>Parses a CMF message into an object.\n<p>@param message [String] The message to parse. If none provided, this …\n"],["parse_hex","CMF","CMF.html#method-c-parse_hex","(message_hex, dictionary = nil)","<p>Parses a hex-encoded CMF message into an object.\n<p>@param message_hex [String] A hex-encoded CMF message. …\n"],["parse_hex","CMF::Parser","CMF/Parser.html#method-i-parse_hex","(message_hex)","<p>Parses a hex-encoded CMF message into an object.\n<p>@param message_hex [String] A hex-encoded CMF message. …\n"],["reset","CMF::Builder","CMF/Builder.html#method-i-reset","()","<p>Resets the CMF message.\n<p>@return [Builder] self\n"],["serialize","CMF::Varint","CMF/Varint.html#method-c-serialize","(io, n)","<p>Serializes an integer into a varint.\n<p>@param io [StringIO] The IO stream where the serialized varint will …\n"],["to_hex","CMF::Builder","CMF/Builder.html#method-i-to_hex","()","<p>@return [String] A hex string, every 2 characters representing one byte\n\n<pre>of the CMF message.</pre>\n"],["to_octet","CMF::Builder","CMF/Builder.html#method-i-to_octet","()","<p>@return [String] An octet string, each character representing one byte\n\n<pre>of the CMF message.</pre>\n"],["validate","CMF::Dictionary","CMF/Dictionary.html#method-c-validate","(dictionary)","<p>Validates a dictionary, and optionally converts it from array form to hash form.\n<p>@param dictionary [Hash,Array] …\n"],["write_tag","CMF::Builder","CMF/Builder.html#method-i-write_tag","(tag, type)",""]]}}